ClearOS Bug Tracker


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0013641ClearOSapp-base - Base Systempublic2017-03-10 22:372017-03-14 11:58
Reporterdloper 
Assigned Topbaldwin 
PriorityurgentSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version7.3.1 
Target Version7.3.1 UpdatesFixed in Version7.3.1 Updates 
Summary0013641: During wizard, long package update times out and appears stalled
DescriptionWhen there is a significant amount of packages during the wizard, the progress bars will appear to hang. The updates finish normally and a required refresh of the page will show the true status.
Steps To ReproduceInstall 7.2.0 ISO image, run wizard and the updates in Chrome
TagsNo tags attached.
Attached Files

- Relationships
related to 0013731closedpbaldwin Keep progress Ajax call going when error detected 

-  Notes
(0005121)
pbaldwin (administrator)
2017-03-13 10:55

The asynchronous webconfig restart event is coming along and restarting webconfig. Will fix.
(0005131)
pbaldwin (administrator)
2017-03-13 11:56

Correction. The asynchronous event is just fine... webconfig does indeed get restarted after the software update process.

The software-updates Ajax call gets caught in a bit of a chicken/egg scenario. There's a change in the clearos-admin-theme that causes a 500 error - see attached. That's not surprising and in fact should be expected in some cases.
(0005141)
pbaldwin (administrator)
2017-03-13 12:09

It's the change in the location of the upstream proxy app:

PHP Fatal error: Class 'clearos\\apps\\network\\Proxy' not found in /usr/clearos/apps/base/libraries/Shell.php on line 180

There's a circular dependency that we want to avoid (app-network <-> app-base), but we can detect and workaround this use case.

- Issue History
Date Modified Username Field Change
2017-03-10 22:37 dloper New Issue
2017-03-13 10:55 pbaldwin Note Added: 0005121
2017-03-13 10:55 pbaldwin Assigned To => pbaldwin
2017-03-13 10:55 pbaldwin Status new => confirmed
2017-03-13 11:56 pbaldwin Note Added: 0005131
2017-03-13 11:57 pbaldwin Priority low => urgent
2017-03-13 12:09 pbaldwin Note Added: 0005141
2017-03-13 13:28 pbaldwin Issue cloned: 0013731
2017-03-13 13:28 pbaldwin Relationship added related to 0013731
2017-03-13 13:56 pbaldwin Status confirmed => resolved
2017-03-13 13:56 pbaldwin Fixed in Version => 7.3.1 Updates
2017-03-13 13:56 pbaldwin Resolution open => fixed
2017-03-14 11:58 pbaldwin Status resolved => closed